package storage

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/storage/models"
)

type Database interface {
	AuthStorage
}

type AuthStorage interface {
	AddUser(ctx context.Context, login string, username string, passwordHash []byte) (uint64, error)
	GetUserByLogin(ctx context.Context, login string) (*models.User, error)
	GetUserByID(ctx context.Context, id uint64) (*models.User, error)
}
